Loading...
Searching...
No Matches
AtomUtilities Class Reference

## Static Public Member Functions

static AtomHybridization | perceiveHybridization (const Atom &atom)
static Vector3 | generateNewBondVector (const Atom &atom, const std::vector< Vector3 > &currentVectors, AtomHybridization hybridization)

## Member Function Documentation

## perceiveHybridization()

AtomHybridization perceiveHybridization | ( | const Atom & | atom | ) |

static

Perceive the geometry / hybridization bonded to atom. Ideally, the client should cache the hybridization number by calling setHybridization() later

## generateNewBondVector()

Vector3 generateNewBondVector | ( | const Atom & | atom,
|  | const std::vector< Vector3 > & | currentVectors,
|  | AtomHybridization | hybridization )

static

Generate a new bond vector (unit length)

The documentation for this class was generated from the following file:

- atomutilities.h